scim::FunctionSlot0< R > Class Template Reference
SignalSlot

A slot template for static functions taking no arguments and returning a value of type R. More...

`#include <scim_slot.h>`

## Public Member Functions

| FunctionSlot0 (PF function)
virtual R | call () const
Public Member Functions inherited from scim::Slot0< R >
R | operator() () const
| Function operator; Calls call().
Public Member Functions inherited from scim::ReferencedObject
bool | is_referenced () const
void | ref ()
| Increase an object's reference count by one.
void | unref ()

## Additional Inherited Members

Protected Member Functions inherited from scim::Slot0< R >
| Slot0 ()
| Constructor.
Protected Member Functions inherited from scim::Slot
| Slot ()
| Constructor.
virtual | ~Slot ()=0
| Destructor.
Protected Member Functions inherited from scim::ReferencedObject
| ReferencedObject ()
| Constructor.
virtual | ~ReferencedObject ()=0
| Destructor.
void | set_referenced (bool reference)

## Detailed Description

template<typename R>
class scim::FunctionSlot0< R >

A slot template for static functions taking no arguments and returning a value of type R.

## Constructor & Destructor Documentation

## FunctionSlot0()

template<typename R>

scim::FunctionSlot0< R >::FunctionSlot0 | ( | PF | function | ) |

inline

Construct a new function slot for a static function.

Parameters

  function | - static function with the signature R (*PF)().

## Member Function Documentation

## call()

template<typename R>

virtual R scim::FunctionSlot0< R >::call | ( |  | ) | const

inline virtual

Calls the function connected to this slot.

Returns
  a value of type R returned by the called function.

Implements scim::Slot0< R >.

The documentation for this class was generated from the following file:

- scim_slot.h